• Ben Cooksley's avatar
    Ensure the cmake dependency metadata extraction process only runs for our primary platforms. · a603dc47
    Ben Cooksley authored
    Frameworks had a slight issue here as it has both Qt 5.10 and Qt 5.7 builds on Linux at the moment.
    Depending on the assigned builders it is quite possible both builds when triggered will reach this script at essentially the same time, creating a race condition when it comes to updating the destination server (api.kde.org)
    To ensure we don't fail, ensure we only run on the primary platforms.
    
    CCMAIL: kde-frameworks-devel@kde.org
    a603dc47
extract-cmake-dependency-metadata.py 3.35 KB